Skip to main content
zezez3

Mobile Apps Build Service Versions

OutSystems

Mobile Apps Build Service Versions

Supported
These versions are currently supported.
 
Version 5.0 (beta) See Release Notes
Released in 06 May 2019 To be Deprecated in TBD
 
This version can run your apps on
android-icon_16@2x.png Android 5.0 to 9.0 iOS-icon_16@2x.png iOS 10.0 to 12.1
More details 
  Android iOS
Target SDK 9 (API 28)
Build Tools 28.0.3
Gradle 4.10.3
iOS 12
Xcode 10.1
Cordova CLI 7.1.0 7.1.0
Cordova Engine 8.0.0 4.5.5
Recommended Specifications RAM: 2 GB or more;
CPU: Dual-Core 1.2 GHz or better;
OS: Android 5.0 or later.
iPhone 5S or later models
 
Version 4.2 (latest) See Release Notes
Released in 08 Apr 2019 To be Deprecated in TBD
 
This version can run your apps on
android-icon_16@2x.png Android 4.4 to 9.0 iOS-icon_16@2x.png iOS 10.0 to 12.1
More details 
  Android iOS
Target SDK 8 (API 26)
Build Tools 26.0.2
Gradle 4.9
iOS 12
Xcode 10.1
Cordova CLI 7.1.0 7.1.0
Cordova Engine 6.4.0 4.5.5
Recommended Specifications RAM: 2 GB or more;
CPU: Dual-Core 1.2 GHz or better;
OS: Android 5.0 or later.
iPhone 5S or later models
 
Version 4.1 See Release Notes
Released in 20 Mar 2019 To be Deprecated in 10 Jun 2019
 
This version can run your apps on
android-icon_16@2x.png Android 4.4 to 9.0 iOS-icon_16@2x.png iOS 10.0 to 12.1
More details 
  Android iOS
Target SDK 8 (API 26)
Build Tools 26.0.2
Gradle 4.9
iOS 12
Xcode 10.1
Cordova CLI 7.1.0 7.1.0
Cordova Engine 6.4.0 4.5.5
Recommended Specifications RAM: 2 GB or more;
CPU: Dual-Core 1.2 GHz or better;
OS: Android 5.0 or later.
iPhone 5S or later models
 
Version 3.3 See Release Notes
Released in 19 Dec 2018 To be Deprecated in TBD
 
This version can run your apps on
android-icon_16@2x.png Android 4.4 to 9.0 iOS-icon_16@2x.png iOS 8.0 to 12.1
More details 
  Android iOS
Target SDK 8 (API 26)
Build Tools 26.0.2
Gradle 4.9
iOS 11
Xcode 9.2
Cordova CLI 7.1.0 7.1.0
Cordova Engine 6.4.0 4.3.1
Recommended Specifications RAM: 2 GB or more;
CPU: Dual-Core 1.2 GHz or better;
OS: Android 5.0 or later.
iPhone 5S or later models

Deprecated
These versions are no longer supported, please update to a supported version. No new features or bug fixes will be added. The technical support team will reply to your support requests with advice and workarounds.
 
Version 4.0 See Release Notes
Released in 21 Jan 2019
Deprecated since 20 May 2019 To be Obsolete in 22 Jul 2019
 
This version can run your apps on
android-icon_16@2x.png Android 4.4 to 9.0 iOS-icon_16@2x.png iOS 10.0 to 12.1
More details 
  Android iOS
Target SDK 8 (API 26)
Build Tools 26.0.2
Gradle 4.9
iOS 12
Xcode 10.1
Cordova CLI 7.1.0 7.1.0
Cordova Engine 6.4.0 4.5.5
Recommended Specifications RAM: 2 GB or more;
CPU: Dual-Core 1.2 GHz or better;
OS: Android 5.0 or later.
iPhone 5S or later models
 

Obsolete
These versions are no longer usable. Support requests about these versions will not be answered.
 
There are no obsolete versions
  • Was this article helpful?